class MinersController < AdminController
  before_action :set_miner, only: [:show, :edit, :update, :destroy]
  before_action :check_administrator

  # GET /miners
  # GET /miners.json
  def index
    @miners = Miner.all
  end

  # GET /miners/1
  # GET /miners/1.json
  def show
  end

  # GET /miners/new
  def new
    @miner = Miner.new
  end

  # GET /miners/1/edit
  def edit
  end

  # POST /miners
  # POST /miners.json
  def create
    @miner = Miner.new(miner_params)

    respond_to do |format|
      if @miner.save
        format.html { redirect_to @miner, notice: 'Miner was successfully created.' }
        format.json { render :show, status: :created, location: @miner }
      else
        format.html { render :new }
        format.json { render json: @miner.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /miners/1
  # PATCH/PUT /miners/1.json
  def update
    respond_to do |format|
      if @miner.update(miner_params)
        format.html { redirect_to @miner, notice: 'Miner was successfully updated.' }
        format.json { render :show, status: :ok, location: @miner }
      else
        format.html { render :edit }
        format.json { render json: @miner.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /miners/1
  # DELETE /miners/1.json
  def destroy
    @miner.destroy
    respond_to do |format|
      format.html { redirect_to miners_url, notice: 'Miner was successfully destroyed.' }
      format.json { head :no_content }
    end
  end

  private

  # Use callbacks to share common setup or constraints between actions.
  def set_miner
    @miner = Miner.find(params[:id])
  end

  # Never trust parameters from the scary internet, only allow the white list through.
  def miner_params
    params.require(:miner).permit(:name, :status, :ip_address, :port, :wallet_address, :password, :algorithm, :ip_address_2, :port_2, :wallet_address_2, :password_2, :algorithm_2, :hash_rate, :last_activity)
  end
end
